# PHTTPFieldArray Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPFieldArray:

List of all members.

## Public Member Functions

| PHTTPFieldArray (PHTTPField *baseField, PBoolean ordered, PINDEX fixedSize=0)
| ~PHTTPFieldArray ()
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | ExpandFieldNames (PString &text, PINDEX start, PINDEX &finish) const
virtual void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
virtual void | LoadFromConfig (PConfig &cfg)
| Get the value of the PConfig to the sub-field.
virtual void | SaveToConfig (PConfig &cfg) const
| Set the value of the sub-field into the PConfig.
virtual void | SetAllValues (const PStringToString &data)
| Set the value of the field in a list of fields.
virtual PINDEX | GetSize () const
| Get the number of sub-fields in the composite field.
void | SetSize (PINDEX newSize)
PStringArray | GetStrings (PConfig &cfg)
void | SetStrings (PConfig &cfg, const PStringArray &values)

## Protected Member Functions

void | AddBlankField ()
void | AddArrayControlBox (PHTML &html, PINDEX fld) const
void | SetArrayFieldName (PINDEX idx) const

## Protected Attributes

PHTTPField * | baseField
PBoolean | orderedArray
PBoolean | canAddElements

## Constructor & Destructor Documentation

PHTTPFieldArray::PHTTPFieldArray | ( | PHTTPField * | baseField,
|  | PBoolean | ordered,
|  | PINDEX | fixedSize = `0` |
| ) |  |  |

PHTTPFieldArray::~PHTTPFieldArray | ( |  | ) |

## Member Function Documentation

void PHTTPFieldArray::AddArrayControlBox | ( | PHTML & | html,
|  | PINDEX | fld |
| ) |  |  | const`[protected]`

void PHTTPFieldArray::AddBlankField | ( |  | ) | `[protected]`

virtual void PHTTPFieldArray::ExpandFieldNames | ( | PString & | text,
|  | PINDEX | start,
|  | PINDEX & | finish |
| ) |  |  | const`[virtual]`

Reimplemented from PHTTPCompositeField.

virtual void PHTTPFieldArray::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Reimplemented from PHTTPCompositeField.

virtual PINDEX PHTTPFieldArray::GetSize | ( |  | ) | const`[virtual]`

Get the number of sub-fields in the composite field.

Note that this is the total including any composite sub-fields, ie, it is the size of the whole tree of primitive fields.

Returns:
  Returns field count.

Reimplemented from PHTTPCompositeField.

PStringArray PHTTPFieldArray::GetStrings | ( | PConfig & | cfg | ) |

Parameters:

  cfg | Config file to get strings from

virtual void PHTTPFieldArray::LoadFromConfig | ( | PConfig & | cfg | ) | `[virtual]`

Get the value of the PConfig to the sub-field.

If the field is not composite then it always sets the value as for the non-indexed version.

Reimplemented from PHTTPCompositeField.

virtual PHTTPField* PHTTPFieldArray::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Reimplemented from PHTTPCompositeField.

virtual void PHTTPFieldArray::SaveToConfig | ( | PConfig & | cfg | ) | const`[virtual]`

Set the value of the sub-field into the PConfig.

If the field is not composite then it always sets the value as for the non-indexed version.

Reimplemented from PHTTPCompositeField.

virtual void PHTTPFieldArray::SetAllValues | ( | const PStringToString & | data | ) | `[virtual]`

Set the value of the field in a list of fields.

Reimplemented from PHTTPCompositeField.

void PHTTPFieldArray::SetArrayFieldName | ( | PINDEX | idx | ) | const`[protected]`

void PHTTPFieldArray::SetSize | ( | PINDEX | newSize | ) |

void PHTTPFieldArray::SetStrings | ( | PConfig & | cfg,
|  | const PStringArray & | values |
| ) |  |  |

Parameters:

  cfg | Config file to Set strings to
  values | Strings to set

## Member Data Documentation

PHTTPField* PHTTPFieldArray::baseField `[protected]`

PBoolean PHTTPFieldArray::canAddElements `[protected]`

PBoolean PHTTPFieldArray::orderedArray `[protected]`

The documentation for this class was generated from the following file:

- httpform.h